/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.html.normalizer.message;

import java.text.MessageFormat;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoHtmlNormalizerMessage/メッセージ定義[BlancoHtmlNormalizer]が内部的に利用するリソースバンドルクラス。]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 */
class BlancoHtmlNormalizerMessageResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoHtmlNormalizerMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoHtmlNormalizerMessage]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoHtmlNormalizerMessageResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/html/normalizer/message/BlancoHtmlNormalizerMessage");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoHtmlNormalizerMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoHtmlNormalizerMessage]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoHtmlNormalizerMessageResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/html/normalizer/message/BlancoHtmlNormalizerMessage", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoHtmlNormalizerMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoHtmlNormalizerMessage]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoHtmlNormalizerMessageResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/html/normalizer/message/BlancoHtmlNormalizerMessage", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[BlancoHtmlNormalizerMessage], key[MBHTNI01]
     *
     * [指定された sourcedir [{0}] は存在しません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBHTNI01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbhtni01(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された sourcedir [{0}] は存在しません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBHTNI01");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoHtmlNormalizerMessage], key[MBHTNI02]
     *
     * [指定された sourcedir [{0}] はディレクトリではありません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBHTNI02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbhtni02(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された sourcedir [{0}] はディレクトリではありません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBHTNI02");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoHtmlNormalizerMessage], key[MBHTNI03]
     *
     * [指定された targetdir [{0}] が存在しなかったので作成しようとしましたが失敗しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBHTNI03]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbhtni03(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された targetdir [{0}] が存在しなかったので作成しようとしましたが失敗しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBHTNI03");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoHtmlNormalizerMessage], key[MBHTNI04]
     *
     * [指定された targetdir [{0}] はディレクトリではありません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBHTNI04]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbhtni04(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された targetdir [{0}] はディレクトリではありません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBHTNI04");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoHtmlNormalizerMessage], key[MBHTNI05]
     *
     * [指定された sourcedir [{0}] と targetdir [{1}] は同じディレクトリです。同じディレクトリを指定することはできません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBHTNI05]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbhtni05(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された sourcedir [{0}] と targetdir [{1}] は同じディレクトリです。同じディレクトリを指定することはできません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBHTNI05");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }
}
